Bug 539756 - [abrt] crash detected in blueman-1.21-2.fc12
[abrt] crash detected in blueman-1.21-2.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
19
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:97506e65
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 18:53 EST by meme23
Modified: 2013-12-10 09:44 EST (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (721 bytes, text/plain)
2009-11-20 18:53 EST, meme23
no flags Details
Patch file to work around the error. (577 bytes, patch)
2010-12-24 04:39 EST, Keiran Smith
no flags Details | Diff

  None (edit)
Description meme23 2009-11-20 18:53:36 EST
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/blueman-applet 
component: blueman
executable: /usr/bin/blueman-applet
kernel: 2.6.31.5-127.fc12.i686
package: blueman-1.21-2.fc12
uuid: 97506e65
Comment 1 meme23 2009-11-20 18:53:38 EST
Created attachment 372643 [details]
File: backtrace
Comment 2 Stanislav Hanzhin 2010-01-12 13:55:03 EST
To fix, just remove /tmp/blueman* with blueman-applet disabled. After that, all sould work correctly.
Comment 3 meme23 2010-01-12 15:00:36 EST
I actually didn't have any such folders or files under /tmp but oddly it's working right now(I had switched over to another manager until this could be worked out so I didn't know until I just checked)
Comment 4 David M. 2010-02-24 12:16:30 EST
Removing the /tmp/blueman* did fix the problem for me.  I no longer have any problems with Blueman crashing.

Still think this is a bug though....... mainly because it requires a workaround to fix the problem.
Comment 5 Igor Vucenovic 2010-03-18 18:10:10 EDT

How to reproduce
-----
1. this problem occure during system booting
2.
3.
Comment 6 BK 2010-03-19 13:38:19 EDT

How to reproduce
-----
1. Boot laptop without BT dongle
2. Login
3.
Comment 7 snhemanthm 2010-04-24 12:34:50 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Happens at gnome startup.
2.
3.
Comment 8 keijo.hautala 2010-05-09 06:23:45 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. 
2.
3.


Comment
-----
Updated from F11 to F12 and I start getting this crash when starting computer.
Comment 9 chris 2010-05-20 16:37:47 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Started as applet by Session Manager

Comment
-----
blueman-applet was started by gnome-session-manager
Comment 10 Thomas Hallgren 2010-07-25 10:51:56 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
This happens everytime I boot my machine.
Comment 11 Karanbir Singh 2010-09-21 07:50:20 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Login to Gnome via GDM
2.
3.


Comment
-----
This machine is running F14/Alpha, then yum updated every few days. This specific crash happens after all updates for 2010-09-21 are applied.
Comment 12 samy 2010-10-30 08:24:36 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I login to my gnome desktop
2. I do anithing
3. Two Bluetooth manager is installed on my Fedora (Blueman, default bluetooth manager)
Comment 13 Bug Zapper 2010-11-04 01:52:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 samy 2010-11-04 10:49:21 EDT
I deleted /tmp/blueman-applet-500 file and I have no problem.
Comment 15 jschilen 2010-12-06 06:43:58 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Happens on login
2.
3.
Comment 16 jschilen 2010-12-14 10:34:38 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Logging in, happens every time
2.
3.
Comment 17 Keiran Smith 2010-12-24 04:36:17 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Happens on login

Comment
-----
I created a simple patch that stops the error from occuring blueman-applet wil load after using this patch
Comment 18 Keiran Smith 2010-12-24 04:39:03 EST
Created attachment 470601 [details]
Patch file to work around the error.

This patch is caused by the Process ID of blueman-applet using try: to handle the error stops the bug. This also makes error handling alot cleaner and will not show up a python error and crash. Using this patch does not affect the way blueman-applet functions.
Comment 19 fhthagn 2010-12-26 01:12:03 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start program
2. Start typing 
3. Program crashes
Comment 20 Lionel F. Lebeau 2010-12-28 18:29:40 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Lors du démarrage du portable.
2.
3.
Comment 21 Lionel F. Lebeau 2011-01-24 14:06:57 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Démarrage
2.
3.
Comment 22 cornel panceac 2011-01-29 04:45:29 EST
Package: blueman-1.21-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Rawhide)


How to reproduce
-----
1.
2.
3.
immediately after login
Comment 23 Matt Wagner 2011-02-22 10:53:50 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Happens frequently after reboot on Thinkpad T510. I do not use Bluetooth or blueman-applet at all, but the machine has a Bluetooth radio and thus blueman-applet starts automatically before failing.
Comment 24 J. William Cupp 2011-04-20 08:43:59 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted up the computer.
2.
3.


Comment
-----
 Booted up the computer.
Comment 25 J. William Cupp 2011-04-21 08:49:34 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted up the computer.
2.
3.


Comment
-----
 Booted up the computer.
Comment 26 J. William Cupp 2011-04-21 17:36:39 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.


Comment
-----
Booted the computer.
Comment 27 J. William Cupp 2011-04-21 22:25:33 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.


Comment
-----
Booted the computer.
Comment 28 J. William Cupp 2011-04-22 20:12:34 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted up computer.
2.
3.
Comment 29 J. William Cupp 2011-04-24 21:03:51 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. booted computer
2.
3.
Comment 30 J. William Cupp 2011-04-26 10:04:57 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.
Comment 31 J. William Cupp 2011-04-26 11:24:22 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted computer.
2.
3.
Comment 32 J. William Cupp 2011-04-27 06:25:41 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.
Comment 33 J. William Cupp 2011-04-27 13:42:21 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted the computer.
2.
3.
Comment 34 J. William Cupp 2011-04-28 16:21:02 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted the computer.
2.
3.
Comment 35 J. William Cupp 2011-04-29 10:47:21 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted the computer.
2.
3.


Comment
-----
This computer does not even have a Bluetooth adaptor.  I did not specifically install Blueman -- it came with the distro.  I'm surprised it cannot detect the absence of a Bluetooth adaptor and merely exit gracefully.
Comment 36 J. William Cupp 2011-04-30 15:36:55 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.
Comment 37 J. William Cupp 2011-05-01 13:02:30 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Boot the computer
2.
3.
Comment 38 J. William Cupp 2011-05-05 06:18:23 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.
Comment 39 J. William Cupp 2011-05-05 16:07:32 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted the computer.
2.
3.
Comment 40 J. William Cupp 2011-05-11 18:23:19 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Booted the computer.
2.
3.


Comment
-----
Blueman crashes on boot up.    When I report the failure using ABRT, the completed report remains listed in ABRT ... and Blueman does not crash.  This time, I left the report in ABRT for three days and through numerous boot up sequences Blueman did not crash.  As soon as I clear the completed crash report from ABRT, then Blueman crashes on the next boot up.
Comment 41 J. William Cupp 2011-05-12 20:01:24 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Boot the computer.
2.
3.


Comment
-----
As long as the last-submitted report remains in ABRT, everything is fine.  When I delete the completed (submitted) report, Blueman crashes on the next system boot up.
Comment 42 djo2 2011-06-19 09:06:54 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.start fedora
2.log in
3.
Comment 43 Mark T. Kennedy 2011-07-07 14:48:23 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. mm100 headset disconnects (?)
2. try to pair/connect
3. boom
Comment 44 Fedora End Of Life 2013-04-03 14:53:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 45 Juan Manuel Rodriguez 2013-12-09 18:09:21 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.